Index: c/src/lib/libbsp/m68k/ods68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 629e12a5e0eda21aa4e4000a95cdb1817fabe080)
+++ c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision a4318d0cccc9f0a3434c48305a9f7291d79575ac)
@@ -1,2 +1,9 @@
+2004-03-31	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* clock/ckinit.c, include/bare.h, include/bsp.h, include/crc.h,
+	startup/bspstart.c, startup/cpuboot.c, startup/crc.c,
+	startup/gdb-hooks.c, startup/m68302scc.c, timer/timer.c: Convert to
+	using c99 fixed size types.
+
 2004-02-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/ods68302/clock/ckinit.c
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/clock/ckinit.c	(revision 629e12a5e0eda21aa4e4000a95cdb1817fabe080)
+++ c/src/lib/libbsp/m68k/ods68302/clock/ckinit.c	(revision a4318d0cccc9f0a3434c48305a9f7291d79575ac)
@@ -39,5 +39,5 @@
  *  number of clock ticks since the driver was initialized.
  */
-volatile rtems_unsigned32 Clock_driver_ticks;
+volatile uint32_t         Clock_driver_ticks;
 
 /*
@@ -48,5 +48,5 @@
  *  has passed.
  */
-rtems_unsigned32 Clock_isrs;
+uint32_t         Clock_isrs;
 
 void Clock_exit( void );
@@ -130,5 +130,5 @@
 )
 {
-    rtems_unsigned32 isrlevel;
+    uint32_t         isrlevel;
     rtems_libio_ioctl_args_t *args = pargp;
  
Index: c/src/lib/libbsp/m68k/ods68302/include/bare.h
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/include/bare.h	(revision 629e12a5e0eda21aa4e4000a95cdb1817fabe080)
+++ c/src/lib/libbsp/m68k/ods68302/include/bare.h	(revision a4318d0cccc9f0a3434c48305a9f7291d79575ac)
@@ -157,13 +157,13 @@
 /* Write */
 #define WRITE_REGISTER_8(address, data) \
-                 *((rtems_unsigned8 *) (address)) = ((rtems_unsigned8) (data))
+                 *((uint8_t*) (address)) = ((uint8_t) (data))
 #define WRITE_REGISTER_16(address, data) \
-                 *((rtems_unsigned16 *) (address)) = ((rtems_unsigned16) (data))
+                 *((uint16_t*) (address)) = ((uint16_t) (data))
 #define WRITE_REGISTER_32(address, data) \
-                 *((rtems_unsigned32 *) (address)) = ((rtems_unsigned32) (data))
+                 *((uint32_t*) (address)) = ((uint32_t) (data))
 /* Read */
-#define READ_REGISTER_8(address, data) data = *((rtems_unsigned8 *) (address))
-#define READ_REGISTER_16(address, data) data = *((rtems_unsigned16 *) (address))
-#define READ_REGISTER_32(address, data) data = *((rtems_unsigned32 *) (address))
+#define READ_REGISTER_8(address, data) data = *((uint8_t*) (address))
+#define READ_REGISTER_16(address, data) data = *((uint16_t*) (address))
+#define READ_REGISTER_32(address, data) data = *((uint32_t*) (address))
 
 /* CS2 : Peripherials */
@@ -229,8 +229,8 @@
  /* update the display, needs a long word */
 #define UPDATE_DISPLAY(LongWordPtr) \
-         ( WRITE_REGISTER_16(DISPLAY_BASE, *(((rtems_unsigned8 *) LongWordPtr) + 3)), \
-           WRITE_REGISTER_16(DISPLAY_BASE + 2, *(((rtems_unsigned8 *) LongWordPtr) + 2)), \
-           WRITE_REGISTER_16(DISPLAY_BASE + 4, *(((rtems_unsigned8 *) LongWordPtr) + 1)), \
-           WRITE_REGISTER_16(DISPLAY_BASE + 6, *((rtems_unsigned8 *) LongWordPtr)) )
+         ( WRITE_REGISTER_16(DISPLAY_BASE, *(((uint8_t*) LongWordPtr) + 3)), \
+           WRITE_REGISTER_16(DISPLAY_BASE + 2, *(((uint8_t*) LongWordPtr) + 2)), \
+           WRITE_REGISTER_16(DISPLAY_BASE + 4, *(((uint8_t*) LongWordPtr) + 1)), \
+           WRITE_REGISTER_16(DISPLAY_BASE + 6, *((uint8_t*) LongWordPtr)) )
 
 /* make a better test, say switches */
Index: c/src/lib/libbsp/m68k/ods68302/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/include/bsp.h	(revision 629e12a5e0eda21aa4e4000a95cdb1817fabe080)
+++ c/src/lib/libbsp/m68k/ods68302/include/bsp.h	(revision a4318d0cccc9f0a3434c48305a9f7291d79575ac)
@@ -79,6 +79,6 @@
 
 #define rtems_bsp_delay( microseconds ) \
-  { register rtems_unsigned32 _delay=(microseconds); \
-    register rtems_unsigned32 _tmp=123; \
+  { register uint32_t         _delay=(microseconds); \
+    register uint32_t         _tmp=123; \
     asm volatile( "0: \
                      nbcd      %0 ; \
Index: c/src/lib/libbsp/m68k/ods68302/include/crc.h
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/include/crc.h	(revision 629e12a5e0eda21aa4e4000a95cdb1817fabe080)
+++ c/src/lib/libbsp/m68k/ods68302/include/crc.h	(revision a4318d0cccc9f0a3434c48305a9f7291d79575ac)
@@ -19,5 +19,5 @@
 #endif
 
-rtems_unsigned16 calc_crc(void *data, rtems_unsigned32 count);
+uint16_t         calc_crc(void *data, uint32_t         count);
 
 #if __cplusplus
Index: c/src/lib/libbsp/m68k/ods68302/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/startup/bspstart.c	(revision 629e12a5e0eda21aa4e4000a95cdb1817fabe080)
+++ c/src/lib/libbsp/m68k/ods68302/startup/bspstart.c	(revision a4318d0cccc9f0a3434c48305a9f7291d79575ac)
@@ -39,5 +39,5 @@
  
 void bsp_postdriver_hook(void);
-void bsp_libc_init( void *, unsigned32, int );
+void bsp_libc_init( void *, uint32_t, int );
 void bsp_pretasking_hook(void);               /* m68k version */
 
Index: c/src/lib/libbsp/m68k/ods68302/startup/cpuboot.c
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/startup/cpuboot.c	(revision 629e12a5e0eda21aa4e4000a95cdb1817fabe080)
+++ c/src/lib/libbsp/m68k/ods68302/startup/cpuboot.c	(revision a4318d0cccc9f0a3434c48305a9f7291d79575ac)
@@ -96,5 +96,5 @@
 void boot_phase_2(void)
 {
-  rtems_unsigned32 stack;
+  uint32_t         stack;
   
 #if defined(LED_CONTROL)
@@ -112,5 +112,5 @@
 
   /* seems to want 2, looked at assember code output */
-  *((volatile rtems_unsigned32*) (&stack + 2)) |= ROM_BASE;
+  *((volatile uint32_t*) (&stack + 2)) |= ROM_BASE;
 }
 
Index: c/src/lib/libbsp/m68k/ods68302/startup/crc.c
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/startup/crc.c	(revision 629e12a5e0eda21aa4e4000a95cdb1817fabe080)
+++ c/src/lib/libbsp/m68k/ods68302/startup/crc.c	(revision a4318d0cccc9f0a3434c48305a9f7291d79575ac)
@@ -19,5 +19,5 @@
  */
 
-static const rtems_unsigned16 factor[] =
+static const uint16_t         factor[] =
  {
    0x0000, 0xC0C1, 0xC181, 0x0140, 0xC301, 0x03C0, 0x0280, 0xC241,
@@ -67,10 +67,10 @@
 */
 
-rtems_unsigned16 calc_crc(void* vdata,            /* pointer to memory block */
-                          rtems_unsigned32 count) /* length of block in bytes */
+uint16_t         calc_crc(void* vdata,            /* pointer to memory block */
+                          uint32_t         count) /* length of block in bytes */
 {
-   register rtems_unsigned8 *data = vdata;
-   register rtems_unsigned16 crc;
-   register rtems_unsigned32 byte;
+   register uint8_t         *data = vdata;
+   register uint16_t         crc;
+   register uint32_t         byte;
 
     /* initialise to either 0x0 or 0xffff depending on the
Index: c/src/lib/libbsp/m68k/ods68302/startup/gdb-hooks.c
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/startup/gdb-hooks.c	(revision 629e12a5e0eda21aa4e4000a95cdb1817fabe080)
+++ c/src/lib/libbsp/m68k/ods68302/startup/gdb-hooks.c	(revision a4318d0cccc9f0a3434c48305a9f7291d79575ac)
@@ -46,8 +46,8 @@
 
 typedef struct {
-  rtems_unsigned16 move_a7;            /* move #FORMAT_ID,%a7@- */
-  rtems_unsigned16 format_id;
-  rtems_unsigned16 jmp;                /* jmp  _ISR_Handlers */
-  rtems_unsigned32 isr_handler;
+  uint16_t         move_a7;            /* move #FORMAT_ID,%a7@- */
+  uint16_t         format_id;
+  uint16_t         jmp;                /* jmp  _ISR_Handlers */
+  uint32_t         isr_handler;
 } GDB_HANDLER_ENTRY;
 
@@ -65,12 +65,12 @@
 void exceptionHandler(unsigned int vector, void *handler)
 {
-  rtems_unsigned32 *interrupt_table = 0;
+  uint32_t         *interrupt_table = 0;
   
   gdb_jump_table[vector].move_a7 = M68K_MOVE_A7;
   gdb_jump_table[vector].format_id = vector;
   gdb_jump_table[vector].jmp = M68K_JMP;
-  gdb_jump_table[vector].isr_handler = (rtems_unsigned32) handler;
+  gdb_jump_table[vector].isr_handler = (uint32_t) handler;
 
-  interrupt_table[vector] = (rtems_unsigned32) &gdb_jump_table[vector];
+  interrupt_table[vector] = (uint32_t) &gdb_jump_table[vector];
 }
 
Index: c/src/lib/libbsp/m68k/ods68302/startup/m68302scc.c
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/startup/m68302scc.c	(revision 629e12a5e0eda21aa4e4000a95cdb1817fabe080)
+++ c/src/lib/libbsp/m68k/ods68302/startup/m68302scc.c	(revision a4318d0cccc9f0a3434c48305a9f7291d79575ac)
@@ -19,5 +19,5 @@
 static int scc_translate[M68302_SCC_COUNT] = { 0, 0, 0 };
 
-static const rtems_unsigned16 baud_clocks[] =
+static const uint16_t         baud_clocks[] =
 {
   (SYSTEM_CLOCK / (  4800 * 16)),
@@ -31,5 +31,5 @@
 void scc_initialise(int channel, int baud, int translate)
 {
-  rtems_unsigned16 scon;
+  uint16_t         scon;
   
   if (channel < M68302_SCC_COUNT)
@@ -48,10 +48,10 @@
     scc[channel]->bd.tx[0].length = 0;
     scc[channel]->bd.tx[0].buffer =
-      (rtems_unsigned8*) &(scc[channel]->bd.tx[1].buffer);
+      (uint8_t*) &(scc[channel]->bd.tx[1].buffer);
 
     scc[channel]->bd.rx[0].status = 0x2000; 
     scc[channel]->bd.rx[0].length = 0;
     scc[channel]->bd.rx[0].buffer =
-      (rtems_unsigned8*) &(scc[channel]->bd.rx[1].buffer);
+      (uint8_t*) &(scc[channel]->bd.rx[1].buffer);
 
     scc[channel]->parm.rfcr = 0x50;
@@ -79,5 +79,5 @@
 unsigned char scc_status(int channel, unsigned char status)
 {
-  rtems_unsigned16 rx_status;
+  uint16_t         rx_status;
 
   m302.reg.wcn = 0;
Index: c/src/lib/libbsp/m68k/ods68302/timer/timer.c
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/timer/timer.c	(revision 629e12a5e0eda21aa4e4000a95cdb1817fabe080)
+++ c/src/lib/libbsp/m68k/ods68302/timer/timer.c	(revision a4318d0cccc9f0a3434c48305a9f7291d79575ac)
@@ -41,5 +41,5 @@
 			 */
 
-rtems_unsigned32 Timer_interrupts;
+uint32_t         Timer_interrupts;
 
 rtems_boolean Timer_driver_Find_average_overhead;
@@ -80,6 +80,6 @@
 int Read_timer( void )
 {
-  rtems_unsigned16 clicks;
-  rtems_unsigned32 total;
+  uint16_t         clicks;
+  uint32_t         total;
 
   /*
